## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/jtauber/pyuca

Name:           python-pyuca
Version:        1.2
Release:        %{autorelease}
Summary:        Python implementation of the Unicode Collation Algorithm
%forgemeta
# Unicode character encodings are licensed under Unicode-3.0
License:        MIT AND Unicode-3.0
URL:            %forgeurl
Source:         %forgesource
# Clarify license of Unicode character encodings
# https://github.com/jtauber/pyuca/pull/28
Patch:          %{forgeurl}/pull/28.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Python implementation of the Unicode Collation Algorithm (UCA). It
passes 100% of the UCA conformance tests for Unicode 5.2.0 (Python
2.7), Unicode 6.3.0 (Python 3.3+), Unicode 8.0.0 (Python 3.5+), Unicode
9.0.0 (Python 3.6+), and Unicode 10.0.0 (Python 3.7+) with a
variable-weighting setting of Non-ignorable.}

%description %_description


%package -n python3-pyuca
Summary:        %{summary}

%description -n python3-pyuca %_description


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pyuca


%check
%tox


%files -n python3-pyuca -f %{pyproject_files}
%doc README.*


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.2-2
- Rebuilt for Python 3.13

* Sat Mar 23 2024 Sandro <devel@penguinpee.nl> - 1.2-1
- Initial release (RHBZ#2242026)
- Python implementation of the Unicode Collation Algorithm
## END: Generated by rpmautospec
